Bug 497737 - Wrong language in PackageKit-gstreamer-plugin
Wrong language in PackageKit-gstreamer-plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 13:02 EDT by Christian Schaller
Modified: 2009-09-21 17:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 06:29:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Schaller 2009-04-26 13:02:50 EDT
I am currently writing a transcoder application using GStreamer called 
Transmageddon:
http://www.linuxrising.org/transmageddon

I am currently implementing support for the GStreamer codec finding stuff and
I discovered a small bug in the gst-install-plugins-helper.

It says 'An additional plugin is required to play this content'. That message is 
ok when grabbing codecs for playback applications like Totem, but my application is looking for a muxer for example and not attempting 'playback' at all.

Screenshot showing the error message:
http://www.linuxrising.org/screenshots/transmageddon-oggmuxer-missing.png
Comment 1 Richard Hughes 2009-06-01 14:29:59 EDT
Got any ideas for alternate text? It has to be easy for inexperience users to understand.
Comment 2 Christian Schaller 2009-06-02 06:04:20 EDT
Well one could check for what kind of plugin is requested and do different messages based on that. Or maybe just say 'An additional plugin is required for this operation'
Comment 3 Bug Zapper 2009-06-09 10:36:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Steven M. Parrish 2009-07-21 20:51:57 EDT
Richard, any updates on this?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Richard Hughes 2009-07-22 04:33:57 EDT
Christian, when your program are asking for a mixer and encoder, could you please tell me what the gstreamer0.10() lines are? You can get this by running dbus-monitor --session before the request. Thanks!
Comment 6 Richard Hughes 2009-07-22 04:36:56 EDT
I'll look something like this:

method call sender=:1.143 -> dest=org.freedesktop.PackageKit serial=5 path=/org/freedesktop/PackageKit; interface=org.freedesktop.PackageKit.Modify; member=InstallGStreamerResources
   uint32 94371843
   array [
      string "MPEG-1 Layer 3 (MP3) decoder|gstreamer0.10(decoder-audio/mpeg)(mpegversion=1)(layer=3)"
   ]
   string "hide-finished"
Comment 7 Richard Hughes 2009-07-22 04:58:17 EDT
commit 2a0c4584b8f0d46b4373344d0ac7bbfd3876affa
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Jul 22 09:57:00 2009 +0100

    Add in different translations for encode, decode and unknown. Untested. Should fix rh#497737
Comment 8 Christian Schaller 2009-07-22 05:33:22 EDT
Here is an example of when I am missing a muxer:
method call sender=:1.597 -> dest=org.freedesktop.PackageKit serial=5 path=/org/freedesktop/PackageKit; interface=org.freedesktop.PackageKit.Modify; member=InstallGStreamerResources
   uint32 0
   array [
      string "Quicktime muxer|gstreamer0.10(encoder-video/quicktime)(variant=apple)()(64bit)"
   ]
   string "hide-finished"
Comment 9 Richard Hughes 2009-07-22 06:29:59 EDT
(In reply to comment #8)
> muxer|gstreamer0.10(encoder-video/quicktime)(variant=apple)()(64bit)"

As I expected, this means the patch should work fine. Thanks.

Note You need to log in before you can comment on or make changes to this bug.